User Content
- URL:https://<content-url>/users/<username>
- Operations:Add Item, Add Item Part, Add Relationship, Create Folder, Create Service, Delete Info, Delete Items, Delete Relationships, Export, Move Items, Publish, Replace Service, Share Items, Unshare Items
- Child Resources:User Item
- Related Resources:User
Description
The user's content are items either in the home folder for the user, e.g. /content/users/<username>, or in a subfolder of the home folder with the given folder ID. Multilevel folders are not supported. You can also see the Quick reference topic for additional information on this.
Items in a folder are stored by reference and are not physically in a folder. Rather, they're stored as links to the original item, e.g. /content/items/<itemId>.
Note:Accessible only to the owning user or to the administrator of the organization if the user is a member of one.
Request Parameters
|
Parameter |
Details |
|---|---|
| [Common Parameters] |
For a complete listing, see Common parameters. |
| [Paging Parameters] | For a complete list of paging parameters, see Paging parameters. |
Response Properties
|
Property |
Details |
|---|---|
| username |
The username of the content. |
| [Paging Properties] | The following paging properties are included in the response and they are described in Paging properties. total, start, num, nextStart |
| currentFolder | The current folder listing the user's items. |
| items | The list of the user's items. See Item for response properties for more details. |
| [folders] username | The username of the owner of the folder. |
| id | The folder ID. |
| title | The folder title. |
| created | The date the folder was created. Shown in UNIX time. |
Example Usage
URL for User Content
https://www.arcgis.com/sharing/rest/content/users/jsmith
JSON Response Syntax
User Content (Root)
{
"username": "<username>",
"total": <total number of items owned by the user>,
"start": <the first record index in the response>,
"num": <the number of items in the response>,
"nextStart": <the next entry index>,
"currentFolder": root folder,
"items": [
{
"id": "<item id>",
"owner": "<owner username>",
"created": date created shown in UNIX time,
"modified": date modified shown in UNIX time,
"guid": <unique id>,
"name": "<item name>",
"title": "<item title>",
"type": "<type>",
"typeKeywords": [
"<keyword1>",
"<keyword2>",
"<keyword3>",
"<keyword4>"
],
"description": <description>,
"tags": [
"<tag1>",
"<tag2>"
],
"snippet": <summary>,
"thumbnail": <file name>,
""extent": [
[
minX,
minY
],
[
maxX,
maxY
]
],
"spatialReference": <coordinate system>,
"accessInformation": <credits>,
"licenseInfo": <access and use constraints>,
"culture": "<culture code>",
"url": <url>,
"access": "private | shared | org | public",
"size": <item size>,
"numComments": <number of comments>,
"numRatings": <number of ratings>,
"avgRating": <average rating>,
"numViews": <number of views>
},
{
"id": "<item id>",
"owner": "<owner username>",
"created": date created shown in UNIX time,
"modified": date modified shown in UNIX time,
"guid": <unique id>,
"name": "<item name>",
"title": "<item title>",
"type": "<type>",
"typeKeywords": [
"<keyword1>",
"<keyword2>",
"<keyword3>",
"<keyword4>"
],
"description": <description>,
"tags": [
"<tag1>",
"<tag2>"
],
"snippet": <summary>,
"thumbnail": <file name>,
""extent": [
[
minX,
minY
],
[
maxX,
maxY
]
],
"spatialReference": <coordinate system>,
"accessInformation": <credits>,
"licenseInfo": <access and use constraints>,
"culture": "<culture code>",
"url": <url>,
"access": "private | shared | org | public",
"size": <item size>,
"numComments": <number of comments>,
"numRatings": <number of ratings>,
"avgRating": <average rating>,
"numViews": <number of views>
}
],
"folders": [{
"username": "<username>",
"id": "<folder id>",
"title": "<folder title>",
"created": date created shown in UNIX time
}]
}
User Content (Folder)
{
"username": "<username>",
"currentFolder": {
"username": "<username>",
"id": "<folder id>",
"title": "<folder title>",
"created": date created shown in UNIX time
},
"items": [{
"id": "<item id>",
"owner": "<owner username>",
"created": date created shown in UNIX time,
"modified": date modified shown in UNIX time,
"guid": <unique id>,
"name": <item name>,
"title": "<title>",
"type": "<item type>",
"typeKeywords": [
"<keyword1>",
"<keyword2>",
"<keyword3>",
"<keyword4>"
],
"description": <description>,
"tags": [
"<tag1>",
"<tag2>",
"<tag3>",
"<tag4>"
],
"snippet": "<summary>",
"thumbnail": "<file name>",
"extent": [
[
minX,
minY
],
[
maxX,
maxY
]
],
"spatialReference": <coordinate system>,
"accessInformation": <credits>,
"licenseInfo": <access and use constraints>,
"culture": "<culture code>",
"url": <url>,
"access": "private | shared | org | public",
"size": <item size>,
"numComments": <number of comments>,
"numRatings": <number of ratings>,
"avgRating": <average rating>,
"numViews": <number of views>
}]
}
JSON Response Example
User Content (Root)
{
"username": "jsmith33",
"total": 10,
"start": 1,
"num": 2,
"nextStart": 3,
"currentFolder": null,
"items": [
{
"id": "1851c185888a43fcb3d6fffb78ae7c94",
"owner": "jsmith33",
"created": 1264091913000,
"modified": 1256666605000,
"guid": null,
"name": "Usa_Prime_Imagery",
"title": "Usa_Prime_Imagery",
"type": "Layer",
"typeKeywords": [
"Data",
"Layer",
"ArcMap",
"ArcGlobe",
"ArcGIS Explorer",
"lyr"
],
"description": "This detailed imagery map presents satellite imagery for the world and
high-resolution (1m or better) imagery for the United States."
"tags": ["USA, Imagery, Southern California"],
"layer",
"imagery"
],
"snippet": "Imagery of Southern California",
"thumbnail": null,
"extent": [],
"spatialReference": null,
"accessInformation": "Provided by Satellite Technologies",
"licenseInfo": "This imagery is licensed to Satellite Technologies and non-commercial use is allowed."
"culture": "en-us",
"url": null,
"access": "public",
"size": 38912,
"numComments": 3,
"numRatings": 7,
"avgRating": 4,
"numViews": 23
},
{
"id": "28c343b688224d0ca1b5ba741c28de6e",
"item": "National_Parks_in_California.lpk",
"itemType": "file",
"owner": "jsmith33",
"created": 1263460602000,
"modified": 1256666605000,
"guid": "1D70DAC0-505A-463F-A948-B324FD18BE2A",
"name": "National_Parks_in_California",
"title": "National Parks in California",
"type": "Layer Package",
"typeKeywords": [
"Data",
"Layer Package",
"ArcMap",
"ArcGlobe",
"ArcGIS Explorer",
"lpk"
],
"description": "The National Parks are one of our greatest treasures. Explore the Parks located in
California.",
"tags": ["Parks, California"],
"snippet": "National Parks of California",
"thumbnail": "nationalparks.png",
"extent": [
[
-130.098,
15.469
],
[
-63.337,
54.048
]
],
"spatialReference": "GCS_North_American_1983",
"accessInformation": "esri",
"licenseInfo": "Public use",
"culture": "en-us",
"url": null,
"access": "shared",
"size": 1402923,
"numComments": 8,
"numRatings": 4,
"avgRating": 5,
"numViews": 17
}
],
"folders": [{
"username": "jsmith33",
"id": "1a9ad803da604628b08c968ce602a231",
"title": "Street Maps",
"created": 1266354151000
}]
}
User Content (Folder)
{
"username": "jsmith33",
"currentFolder": {
"username": "jsmith33",
"id": "1a9ad803da604628b08c968ce602a231",
"title": "Street Maps",
"created": 1266354151000
},
"items": [{
"id": "0c92f2674fe5442bb9974dfc947bdd43",
"owner": "jsmith33",
"created": 1266354432000,
"modified": 1256666605000,
"guid": null,
"name": null,
"title": "City of Redlands",
"type": "Web Map",
"typeKeywords": [
"Web Map",
"Map",
"Online Map",
"ArcGIS Online"
],
"description": null,
"tags": [
"Redlands",
"Streets",
"Transportation",
"Highways"
],
"snippet": "Street map of the city of Redlands, including major highways",
"thumbnail": "thumbnail/ago_downloaded.png",
"extent": [
[
-117.2609,
34.0122
],
[
-117.1043,
34.0983
]
],
"spatialReference": null,
"accessInformation": null,
"licenseInfo": null,
"culture": "en-us",
"url": null,
"access": "private",
"size": 195,
"numComments": -1,
"numRatings": -1,
"avgRating": -1,
"numViews": -1
}]
}